Memcached::prependByKey
Memcached::replaceByKey
Memcached
PHP Manual

# Memcached::replace

(PECL memcached >= 0.1.0)

Memcached::replace — Replace the item under an existing key

### Descrição

public bool Memcached::replace ( string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::replace() is similar to Memcached::set, but the operation fails if the `key` does not exist on the server.

### Parâmetros

`key`

  A chave sobre a qual guardar o valor.

`value`

  O valor para guardar.

`expiration`

  O tempo de expiração, padrão é 0. Veja Tempos de Expiração para maiores informações.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key does not exist.

### Veja Também

- Memcached::replaceByKey - Replace the item under an existing key on a specific server
- Memcached::set - Store an item
- Memcached::add - Add an item under a new key

Memcached::prependByKey
Memcached::replaceByKey
Memcached
PHP Manual